utl::iodev_it< cont_t, iter_t, _beg, _size >::value_type_t Struct Reference

## Public Member Functions

| value_type_t (value_type v=value_type{})
| operator value_type ()
| operator reference ()
value_type & | operator= (const value_type &v)

## Public Attributes

value_type | v_
| Current value buffer to access via get. More...

## Detailed Description

### template<typename cont_t, typename iter_t, index_t _beg = 0, size_t _size = static_cast<size_t>(-1)-_beg>
struct utl::iodev_it< cont_t, iter_t, _beg, _size >::value_type_t

Current value wrapper type, to used as put event catcher owner_->get : Use v_ directly owner_->put : Use operator= to a dereferenced iterator

Definition at line 773 of file dev_iterators.h.

## Constructor & Destructor Documentation

## value_type_t()

template<typename cont_t, typename iter_t, index_t _beg = 0, size_t _size = static_cast<size_t>(-1)-_beg>

utl::iodev_it< cont_t, iter_t, _beg, _size >::value_type_t::value_type_t | ( | value_type | v = `value_type{}` | ) |

inline

Definition at line 775 of file dev_iterators.h.

## Member Function Documentation

## operator reference()

template<typename cont_t, typename iter_t, index_t _beg = 0, size_t _size = static_cast<size_t>(-1)-_beg>

utl::iodev_it< cont_t, iter_t, _beg, _size >::value_type_t::operator reference | ( |  | ) |

inline

Definition at line 778 of file dev_iterators.h.

## operator value_type()

template<typename cont_t, typename iter_t, index_t _beg = 0, size_t _size = static_cast<size_t>(-1)-_beg>

utl::iodev_it< cont_t, iter_t, _beg, _size >::value_type_t::operator value_type | ( |  | ) |

inline

Definition at line 777 of file dev_iterators.h.

## operator=()

template<typename cont_t, typename iter_t, index_t _beg = 0, size_t _size = static_cast<size_t>(-1)-_beg>

value_type& utl::iodev_it< cont_t, iter_t, _beg, _size >::value_type_t::operator= | ( | const value_type & | v | ) |

inline

< Catch any attempt to write to value_ and sync the data back to device

Definition at line 779 of file dev_iterators.h.

## Member Data Documentation

## v_

template<typename cont_t, typename iter_t, index_t _beg = 0, size_t _size = static_cast<size_t>(-1)-_beg>

value_type utl::iodev_it< cont_t, iter_t, _beg, _size >::value_type_t::v_

Current value buffer to access via get.

Definition at line 774 of file dev_iterators.h.

The documentation for this struct was generated from the following file:

- include/utl/dev/dev_iterators.h